package com.malk.delegate;

import com.alibaba.fastjson.JSONObject;

/**
 * TB事件回调 3_2
 * -
 * [主项目若无实现, 项目启动异常; 若子项目有订阅需添加 @Primary 以实现优先注入]
 * -
 * 子项目实现接口 [静态代理], 添加对应 processCode 单据业务逻辑
 */
public interface TBEvent {

    /**
     * 任务回调事件  [异步]
     */
    void callBackTask(JSONObject eventJson);

    /**
     * 项目回调事件  [异步]
     */
    void callBackProject(JSONObject eventJson);
}
